Attepmpt to create a service layer with NodeJs for the tab challenge, but since 
I didn't had enough time to learn how to make the specifics as I wanted I droped 
the idea. Non the less I wanted to show to code I created.